capture log close
set more off
program drop _all
macro drop _all
scalar drop _all
clear all

global root "C:\iPEHD"

use "$root\ipehd_clio2011_master.dta", clear


* Table 1

sum childwoman_1816 cbr_1816_1821 enrolrate_1816 marfshare_1816 indu1819_textile_pc farmlab_fem urban_1816 prot_1816 density_1816 ineq_1816 ageatmar_1816_1821_ratio schoolpc imr_1816_1821_pa 


* Table 2

global x_1816 "indu1819_textile_pc farmlab_fem urban_1816 prot_1816 density_1816"
reg childwoman_1816 enrolrate_1816 marfshare_1816 ${x_1816}, robust
reg cbr_1816_1821   enrolrate_1816 marfshare_1816 ${x_1816}, robust


* Table 3

ivreg2 childwoman_1816 marfshare_1816 ${x_1816} (enrolrate_1816 = ineq_1816), robust first
ivreg2 cbr_1816_1821 marfshare_1816 ageatmar_1816_1821_ratio ${x_1816} (enrolrate_1816 = ineq_1816), robust first


* Table 4

ivreg2 childwoman_1816 marfshare_1816 ${x_1816} schoolpc (enrolrate_1816 = ineq_1816), robust
ivreg2 cbr_1816_1821 marfshare_1816 ageatmar_1816_1821_ratio ${x_1816} imr_1816_1821_pa schoolpc (enrolrate_1816 = ineq_1816), robust


* Table 5

global x_1816 "indu1819_textile_pc farmlab_fem urban_1816 prot_1816 density_1816"
keep kreiskey1800 x_coord y_coord childwoman_1816 enrolrate_1816 marfshare_1816 ${x_1816}
reg childwoman_1816 enrolrate_1816 marfshare_1816 ${x_1816} if e(sample), robust
* net install sg162.pkg
spatwmat, name(W) eigenv(E) xcoord(x_coord) ycoord(y_coord) band(0 1) standard
spatdiag, weights(W)
spatreg childwoman_1816 enrolrate_1816 marfshare_1816 ${x_1816}, weights(W) eigenv(E) model(lag) robust
spatreg childwoman_1816 enrolrate_1816 marfshare_1816 ${x_1816}, weights(W) eigenv(E) model(error) robust


